
TYPO3.Fluid - Bug # 38592

Status: Resolved Priority: Must have
Author: Adrian Föder Category: ViewHelpers
Created: 2012-07-03 Assigned To: Karsten Dambekalns
Updated: 2012-07-18 Due date:
Has patch: No
Affected Flow version: (any)
Subject: attributes with dashes lead to wrong exception message
Description

consider the following Fluid tag
1<f:if condition="1" data-bar="foo">something</f:if>

leads to the exception #1224485838: You closed a templating tag which you never opened!

Removing the data-bar attribute also makes the exception disappear.

Related issues:
related to TYPO3.Fluid - Feature # 35748: Add generic data-* attribute Resolved 2012-04-06

Associated revisions
Revision 88d7486d - 2012-07-12 13:08 - Karsten Dambekalns

[BUGFIX] Make use of dashes in attribute names possible

When using e.g. data-foo in VH tags, the parser would choke. This
change fixes this.

Change-Id: I2fee1b0413557814578767665c65b9e0f298a4d2
Fixes: #38592
Releases: 1.1, 1.2

Revision 049704f0 - 2012-07-13 15:13 - Karsten Dambekalns

[BUGFIX] Make use of dashes in attribute names possible

When using e.g. data-foo in VH tags, the parser would choke. This
change fixes this.

Change-Id: I2fee1b0413557814578767665c65b9e0f298a4d2
Fixes: #38592
Releases: 1.1, 1.2

History
#1 - 2012-07-12 13:07 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.1

#2 - 2012-07-12 13:08 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12762

#3 - 2012-07-13 12:36 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:88d7486d961daa35af376559675e93bcffe7756c.

#4 - 2012-07-13 15:13 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12784

#5 - 2012-07-18 10:46 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- Target version changed from 1.1 to 1.1 RC2
